#include<bits/stdc++.h>
using namespace std;
int n,m;
inline int read()
{
	int x=0,f=1;
	char ch=getchar();
	while(!isdigit(ch))
	{
		f=ch!='-';
		ch=getchar();
	}
	while(isdigit(ch))
	{
		x=(x<<1)+(x<<3)+(ch^48);
		ch=getchar();
	}
	return f?x:-x;
}
struct T
{
	int w,y;
	
}z[1000];
int main()
{
	freopen("barrack.in","r",stdin);
	freopen("barrack.out","w",stdout);
	
	n=read(),m=read();
	for(int i=1;i<=m;i++)
	{
	   cin>>z[i].w>>z[i].y;
	}
	cout<<5;
	
}